Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007002 [DCSS] Bug Report minor have not tried 2013-05-02 22:53 2015-05-10 03:17
Reporter rax View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007002: hostile gnoll shamans cure my poison
Description I was playing a trunk game, and hostile gnoll shamans who were perfectly willing to attack me and buff other creatures attacking me were curing my poison when an adder had poisoned me. I didn't get the exact text, sorry, but there was some sort of invocation and the text was purple?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0029037)
PleasingFungus (administrator)
2015-05-09 09:15

It fired a healing beam and hit the player instead of its ally. (The spell was Heal Other, not Cure Poison.)

_set_allied_target() should prevent this...
(0029039)
wheals (administrator)
2015-05-10 03:17
edited on: 2015-05-10 03:18

This was reported before the mon-cast rewrite, so I don't think it's really still valid.

edit, to be clear: It was probably in the "self-ench slot", which skipped some checks some of the time and cast even when it wasn't sane to do so. That's been removed.


- Issue History
Date Modified Username Field Change
2013-05-02 22:53 rax New Issue
2015-05-09 09:15 PleasingFungus Note Added: 0029037
2015-05-10 03:17 wheals Note Added: 0029039
2015-05-10 03:17 wheals Status new => resolved
2015-05-10 03:17 wheals Fixed in Branch => 0.16 pre-release branch
2015-05-10 03:17 wheals Resolution open => done
2015-05-10 03:17 wheals Assigned To => wheals
2015-05-10 03:18 wheals Note Edited: 0029039


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker